/****************************************************/
/*		FBufferedResArchCapsule.h						*/
/****************************************************/
/*		Copyright 	Florian Ballenegger				*/
/*					Florisoft *not*inc.			*/
/*		Mai 1997 - 3 juin 1997						*/
/****************************************************/
/****************************************************/
/*	MADE IN SWITZERLAND / Produit suisse				*/
/****************************************************/

#ifndef F_BUFFERED_RES_ARCH_CAPSULE_H
#define F_BUFFERED_RES_ARCH_CAPSULE_H

#ifndef  F_RES_ARCH_CAPSULE_H
#include <FResArchCapsule.h>
#endif

#ifndef RES_LIST_H
#include "ResList.h"
#endif

class FBufferedResArchCapsule : public FArchCapsule{
public:
	FBufferedResArchCapsule(ResList*	linkres);

	virtual	status_t	WriteFrame(BMessage*	data, object_entry* entry) ;
	virtual	status_t	ReadFrame(BMessage*	data, object_entry* entry) ;
	virtual	status_t	WriteControlData(BMessage* IOmsg);
	virtual	status_t	ReadControlData(BMessage* IOmsg) ;
private:
	ResList	*reslist;
};

#endif