#pragma once

#ifndef PROP_EDITOR_WIND_H
#define PROP_EDITOR_WIND_H

#ifndef PROP_EDITOR_DESC_H
#include "PropEditorDesc.h"
#endif

class PropEditorDesc;
class PropEditorWind : public BWindow
{
public:

			PropEditorWind(PropEditorDesc* ofdesc, BArchivable* tg, BRect	frame, const char* title = NULL);
//			PropEditorWind(BMessage*	data);
			~PropEditorWind();
			
	virtual	bool	QuitRequested(void);
	virtual	void	MessageReceived(BMessage *msg);
	virtual	void	WindowActivated(bool state);
	virtual void	UpdateData();
	
		BWindow*	MainEditor();
protected:
	status_t		SearchPartialEditor(BList* fillin, BArchivable* fortarget);
	
	PropEditorDesc	*ed_desc;
	BArchivable		*target;
	BView			*prop_container;
private:
	static BList*	editors_list;
	static void	load_editors();
	static void find_editor(BArchivable* forArch, BList* fillIn);
};

#endif