#ifndef STANDARD_CLASS_PROP_EDITOR_H
#define STANDARD_CLASS_PROP_EDITOR_H

#include "ImplemMessages.h"

class StandardClassPropEditor : public BView  {
public:
	StandardClassPropEditor(BRect frame, const char* name, BArchivable *settarget);
	virtual ~StandardClassPropEditor();
	virtual void		AttachedToWindow();
	virtual void		MessageReceived(BMessage *msg);
	virtual void		Draw(BRect updateRect);
	virtual bool		UpdateData();
	virtual void		SetUpData(BArchivable* changed);
	virtual void		WillRemoveObject(BArchivable* toremove);
	
			bool		LockMainEditor();
			void		UnlockMainEditor();
			
			void		CommitChange();
			void		SelectObject(BView* v);
			void		RemoveObject(BArchivable* o);
			void		EditObject(BArchivable* o);
protected:
	BArchivable*	target;
	float	normal_haut;
	BPictureButton* expandCtnl;
};
#endif