/******************************************************************************
**
**	File:		TextEditMsgField.h
**
**	Description:	MessageField listitem (for use with the BListView class).
**
**	Copyright 1997-97, Florisoft Incorporated
**
*******************************************************************************/
#ifndef TEXT_EDIT_FIELD_H
#define TEXT_EDIT_FIELD_H

#ifndef MESSAGE_FIELD_H
#include "MessageField.h"
#endif

class TextEditMsgField : public MessageField  {
public:
				//	TextEditMsgField(const char* setname, int32 setindex, type_code settype, BMessage*	edit);
					TextEditMsgField(BMessage* data);
virtual				~TextEditMsgField();

virtual	void		DrawShortData(BView *owner, BRect bounds);
virtual void		TextOfData(char* buffer, long bufferlength);
virtual void		SetDataOfText(char* text);
// virtual	void		Update(BView *owner, const BFont *font);

virtual	void		Selected(BListView*	owner, BRect frame);
virtual	void		Unselected(BListView*	owner);
virtual void		UpdateData();

protected:
	BTextView* text_edit;
};

#endif