#pragma once

#ifndef CAPSULE_EDITOR_WIND_H
#define CAPSULE_EDITOR_WIND_H

#ifndef ARCHIVABLE_ENTRY_H
#include "ArchivableEntry.h"
#endif

#ifndef F_CAPSULE_BUFFER_H
#include "FCapsuleBuffer.h"
#endif

class CapsuleEditorWind : public BWindow
{
public:

			CapsuleEditorWind(BRect	frame, FArchCapsule*	caps, const char* name = NULL);
			~CapsuleEditorWind();
			
	virtual	bool	QuitRequested(void);
	virtual	void	MessageReceived(BMessage *msg);
	virtual	void	UpdateData();
private:
	FArchCapsule*	edit_capsule;
	
	FCapsuleBuffer *toclist;
	BListView	*baselist;
	BTextControl*	image_path_ctrl;
};

#endif