#ifndef EDITOR_DESC_H
#define EDITOR_DESC_H

#ifndef GEN_ARCH_EDIT_WIND_H
#include "GenArchEditWind.h"
#endif

typedef enum edit_form{
	F_BEST_EDIT_FORM,
	F_HEX_EDIT_FORM,
	F_MSG_EDIT_FORM,
	F_ARCHIVE_EDIT_FORM,
	F_OBJECT_EDIT_FORM
} edit_form;

class GenArchEditWind;
class EditorDesc  {
public:
	EditorDesc();
	virtual ~EditorDesc();
	
	virtual bool		UpdateData();
	virtual status_t	RunEditor(BMessage*	setedit, const char* title = NULL, BRect* edframe = NULL, edit_form form = F_BEST_EDIT_FORM);
			status_t	QuitEditors();
	virtual	void		EditorClose();
	virtual void		SelfEditorClose();
	virtual void		EditorClosed();
			bool		IsEditing();
protected:
	BMessage*	edit_msg;
	GenArchEditWind	*editor;
	BWindow			*self_editor;
	BArchivable		*self_edited;
	
};
#endif