#pragma once

#ifndef GEN_ARCH_EDIT_WIND_H
#define GEN_ARCH_EDIT_WIND_H

#ifndef EDITOR_DESC_H
#include "EditorDesc.h"
#endif

#define I_ANY_EDITOR	0
#define I_MSG_EDITOR	1
#define	I_INSTANTIATE_EDITOR	2

class EditorDesc;
class GenArchEditWind : public BWindow
{
public:

			GenArchEditWind(BRect	frame, BMessage*	msgtoedit, const char* name =  NULL, EditorDesc* ed_desc = NULL) :
				BWindow(frame, name ? name : msgtoedit->FindString("name"), B_TITLED_WINDOW, B_NOT_ZOOMABLE), msg_edit(msgtoedit), editor_owner(ed_desc) {}
		virtual	~GenArchEditWind() {}
	virtual	bool	QuitRequested(void);
//	virtual	void	MessageReceived(BMessage *msg);
	virtual		bool	UpdateData() = 0;
	
	static GenArchEditWind* new_editor_for_arch(BMessage* arch, BRect frame, EditorDesc* ed_desc = NULL, int32 pref = I_ANY_EDITOR, const char* name = NULL);
protected:
	BMessage	*msg_edit;
	EditorDesc	*editor_owner;
};

#endif