/******************************************************************************
**
**	File:		MSGGField.h
**
**	Description:	MessageField listitem (for use with the BListView class) for a message field.
**
**	Copyright 1997-97, Florisoft Incorporated
**
*******************************************************************************/
#ifndef MSGG_FIELD_H
#define MSGG_FIELD_H

#ifndef MESSAGE_FIELD_H
#include "MessageField.h"
#endif

#ifndef TEXT_EDIT_FIELD_H
#include "TextEditMsgField.h"
#endif

/*
#define LEFT_COUNT	20
#define LEFT_NAME	40
#define LEFT_INDEX	200
#define LEFT_TYPE	150
#define LEFT_SIZE	250
#define LEFT_DATA	300
*/

class MSGGField : public TextEditMsgField  {
public:
					MSGGField(BMessage* data);
static	MSGGField*		Instantiate(BMessage* data);
virtual	void			DrawShortData(BView *owner, BRect bounds);
virtual void		TextOfData(char* buffer, long bufferlength);
virtual void		SetDataOfText(char* text);
virtual				~MSGGField();
virtual	void		UpdateData();
virtual	void		AddNewDefaultData();
private:
	BMessage	MsgInMsg;
};

#endif