#pragma once

#ifndef MSG_EDIT_LIST_H
#define MSG_EDIT_LIST_H

#ifndef MESSAGE_FIELD_H
#include "MessageField.h"
#endif

#ifndef SELECTABLE_FIELD
#include "SelectableField.h"
#endif

class MsgEditList : public BOutlineListView
{
public:

			MsgEditList(BRect	frame, BMessage* editmsg);

	virtual	void	MessageReceived(BMessage *msg);
	virtual void	AttachedToWindow();
	virtual void			SelectionChanged();

	void		AddMessage(BMessage*msg, BListItem*	under);
	void		HandleAddMessage(BMessage* msg, BListItem* under);
	bool		SetMessageUpToDate();
	virtual	void	KeyDown(const char *bytes, int32 numBytes);
protected:
	BMessage	*msg_edit;
	SelectableField*	last_selected;
};

#endif