#pragma once

#ifndef RES_LIST_H
#define RES_LIST_H

#define I_NEW_RESOURCE 'newR'

#ifndef RESOURCE_ENTRY_H
#include "ResourceEntry.h"
#endif

#ifndef F_COLUMN_LIST_H
#include <FColumnList.h>
#endif

class ResList : public FColumnList
{
public:
			ResList(BRect	frame);
	virtual	~ResList();
	virtual	status_t		Invoke(BMessage *msg = NULL);
	
	bool	SaveNeeded();
	void	LinkToResFile(BResources* newres);
	void	SaveAll();
	virtual void	AttachedToWindow();
	virtual bool	InitiateDrag(BPoint pt, int32 itemIndex, bool initialySelected);
	virtual void	MessageReceived(BMessage* msg);
	ResourceEntry*	FindResource(type_code type, int32 id);
	
			void	UnremoveResource(long idx, int32 type, int32 id);
			void	RemoveResource(ResourceEntry* entry);
			void	GetResToRemove(BList* fillin);
private:
	BList rmvList;
};

#endif