/******************************************************************************
**
**	File:		TextEditMsgField.h
**
**	Description:	MessageField listitem (for use with the BListView class).
**
**	Copyright 1997-97, Florisoft Incorporated
**
*******************************************************************************/
#ifndef TITRE_FIELD_H
#define TITRE_FIELD_H


#ifndef SELECTABLE_FIELD
#include "SelectableField.h"
#endif

class TitreField : public SelectableField  {
public:
					TitreField(BMessage* set_msg);
virtual				~TitreField();

virtual void		DrawItem(BView *owner,
							BRect bounds,
							bool complete);
virtual	void		Selected(BListView*	owner, BRect frame);
virtual	void		Unselected(BListView*	owner);
virtual void		UpdateData();

private:
	BMessage* edit_msg;
	BTextView* text_edit;
};

#endif